ECHO(1)

NIMI
echo - tulostaa rivin tekstiä

YLEISKATSAUS
echo [LYHYT-VALITSIN]... [MERKKIJONO]...
echo PITKÄ-VALITSIN

KUVAUS

Kaiuta MERKKIJONO(t) vakiotulosteeseen.

-n  älä lisää rivinvaihtoa loppuun

-e  ottaa käyttöön backslash-pakojen tulkinnan

-E  poistaa käytöstä backslash-pakojen tulkinnan (oletus)

--help
    näytä tämä ohje ja poistu

--version
    näytä versiotiedot ja poistu

Jos -e on voimassa, seuraavat sarjat tunnistetaan:

\\  kenoviiva

\a  hälytysmerkki (BEL)

\b  askelpalautin

\c  ei rivinvaihtoa loppuun

\e  escape

\f  sivunvaihto

\n  rivinvaihto

\r  vaununpalautus

\t  vaakasarkain

\v  pystysarkain

\0NNN
    byte with octal value NNN (1 to 3 digits)

\xHH
    tavu, jonka heksadesimaaliarvo on HH (1-2 numeroa)

Your shell may have its own version of echo, which usually supersedes the version described here. Please refer to your shell's documentation for details about the options it supports.

Consider using the printf(1) command instead, as it avoids problems when outputting option-like strings.

TEKIJÄ
Kirjoittaneet Brian Fox ja Chet Ramey.

VIRHEISTÄ ILMOITTAMINEN
Ilmoita ohjelmistovioista (englanniksi) osoitteeseen bug-coreutils@gnu.org
GNU coreutils-kotisivu: <https://www.gnu.org/software/coreutils/>
Yleisohjeita GNU-ohjelmistojen käyttöön: <https://www.gnu.org/gethelp/>
Ilmoita käännösvirheistä osoitteeseen <https://translationproject.org/team/fi.html>

KATSO MYÖS
printf(1)

Koko dokumentaatio: <https://www.gnu.org/software/coreutils/echo>
tai saatavilla paikallisesti: info '(coreutils) echo invocation'

Packaged by Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Lisenssi GPLv3+: GNU GPL versio 3 tai myöhempi <https://gnu.org/licenses/gpl.html>.
Tämä on vapaa ohjelmisto; sitä saa vapaasti muuttaa ja levittää edelleen.
Siinä määrin kuin laki sallii, TAKUUTA EI OLE.

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Juha-Pekka Syrjälä <jsyrjala@iki.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.